# Hurricane VLSI Database

List of all members | Public Member Functions
Hurricane::MapCollection< Key, Element, Compare > Class Template Reference

Hurricane Collection wrapper around a std::map. More...

Inheritance diagram for Hurricane::MapCollection< Key, Element, Compare >:
[legend]

## Public Member Functions
| MapCollection (const ElementMap *elementMap=NULL)
Public Member Functions inherited from Hurricane::Collection< Element >
virtual | ~Collection ()
Element | getFirst () const
GenericCollection< Element > | getSubSet (const Filter< Element > &filter) const
GenericCollection< SubType > | getSubSet () const
GenericCollection< SubType > | getSubSet (const Filter< SubType > &filter) const

## Detailed Description

### template<class Key, class Element, class Compare = less<Key>>
class Hurricane::MapCollection< Key, Element, Compare >

Hurricane Collection wrapper around a std::map.

Automatically wrap a Hurricane Collection around a stl::map.

## Constructor & Destructor Documentation

## ◆ MapCollection()

template<class Key , class Element , class Compare = less<Key>>

Hurricane::MapCollection< Key, Element, Compare >::MapCollection | ( | const ElementMap * | elementMap = `NULL` | ) |
| inline

Constructor from a STL map, the map must not be de-allocated.

The documentation for this class was generated from the following files:

- MapCollection.h
- Collection.dox

Generated by doxygen 1.8.14 on Tue Jul 21 2020 | Return to top of page

Hurricane VLSI Database | Copyright © 2000-2016 Bull S.A. All rights reserved